.channel-owner {
  background-color: #008BEC;
  color: #fff;
  border-radius: 9px;
  padding: 1px 6px;
}

.creator-heart-container {
    display: inline-block;
    padding: 0px 7px 6px 0px;
    margin: 0px -7px -4px 0px;
}

.creator-heart {
    position: relative;
    width: 16px;
    height: 16px;
    border: 2px none;
}

.creator-heart-background-hearted {
    width: 16px;
    height: 16px;
    padding: 0px;
    position: relative;
}

.creator-heart-small-hearted {
    position: absolute;
    right: -7px;
    bottom: -4px;
}

.creator-heart-small-container {
    position: relative;
    width: 13px;
    height: 13px;
    color: rgb(255, 0, 0);
}

.h-box {
  padding-left: 1em;
  padding-right: 1em;
}

.v-box {
  padding-top: 1em;
  padding-bottom: 1em;
}

div {
  overflow-wrap: break-word;
  word-wrap: break-word;
}

.loading {
  animation: spin 2s linear infinite;
}

.playlist-restricted {
  height: 20em;
  padding-right: 10px;
}

button.pure-button-primary,
a.pure-button-primary, .channel-owner:hover {
  background-color: #a0a0a0;
  color: rgba(35, 35, 35, 1);
}

button.pure-button-primary:hover,
a.pure-button-primary:hover {
  background-color: rgba(0, 182, 240, 1);
  color: #fff;
}

div.thumbnail {
  position: relative;
}

img.thumbnail {
  width: 100%;
  left: 0;
  top: 0;
}

img.responsive_revive {
  max-width: 100%;
  height: auto;
}

.length {
  z-index: 100;
  position: absolute;
  background-color: rgba(35, 35, 35, 0.75);
  color: #fff;
  border-radius: 2px;
  padding: 2px;
  font-size: 16px;
  font-family: sans-serif;
  right: 0.2em;
  bottom: -0.5em;
}

.watched {
  z-index: 100;
  position: absolute;
  background-color: rgba(35, 35, 35, 0.75);
  color: #fff;
  font-size: 16px;
  font-family: sans-serif;
  left: 0.2em;
  top: -0.7em;
}


.watchlater {
  z-index: 100;
  position: absolute;
  background-color: rgba(35, 35, 35, 0.75);
  color: #fff;
  font-size: 16px;
  font-family: sans-serif;
  right: 0.2em;
  top: -0.5em;
}


.has-tooltip .tooltip {
  display: none;
}

.has-tooltip:hover .tooltip {
  display: flex;
}

.tooltip {
  position: absolute;
  align-items: center;
  justify-content: center;
  background: rgba(35, 35, 35, 0.75);
  padding: 5px 15px;
  color: white;
  right: 19px;
  top: -10px;
  height: 24px;
  font-size: 18px;
}

/*
 * Navbar
 */

.navbar {
  margin: 1em 0;
  display: flex; /* this is also defined in framework, but in case of future changes */
  align-items: center;
  justify-content: space-between;
}

.navbar > div {
  flex: 1;
}

.navbar > .searchbar {
  flex-grow: 2; /* take double the space of the other items */
}

.navbar a {
  padding: 0; /* this way it will stay aligned with content under */
}

.navbar .index-link {
  font-weight: bold;
  position: relative;
  top: -8px;
}

.navbar .index-link > img {
  position: relative;
  bottom: -6px;
  height: 28px;
}

.navbar .index-link > .alt-span {
  margin-right: -7px;
  position: relative;
  z-index: 1;
}

.navbar .index-link > .censored-span {
  margin-left: -7.5px;
  position: relative;
  z-index: 1;
}

.navbar > .searchbar .pure-form input[type="search"] {
  border-top: 0;
  border-left: 0;
  border-right: 0;
  border-bottom: 1px solid #ccc;
  border-radius: 0;

  padding: initial 0;

  box-shadow: none;

  transition: 0.1s border-bottom;
    -webkit-appearance: none;
}

/* https://stackoverflow.com/a/55170420 */
input[type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: none;
  height: 14px;
  width: 14px;
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAeCAYAAAA7MK6iAAAAn0lEQVR42u3UMQrDMBBEUZ9WfQqDmm22EaTyjRMHAlM5K+Y7lb0wnUZPIKHlnutOa+25Z4D++MRBX98MD1V/trSppLKHqj9TTBWKcoUqffbUcbBBEhTjBOV4ja4l4OIAZThEOV6jHO8ARXD+gPPvKMABinGOrnu6gTNUawrcQKNCAQ7QeTxORzle3+sDfjJpPCqhJh7GixZq4rHcc9l5A9qZ+WeBhgEuAAAAAElFTkSuQmCC);
  background-size: 14px;
}

.navbar > .searchbar .pure-form fieldset {
  padding: 0;
}

/* attract focus to the searchbar by adding a subtle transition */
.navbar > .searchbar .pure-form input[type="search"]:focus {
  border-bottom: 2px solid #aaa;
}

.user-field {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
}

.user-field div {
  width: initial;
}

.user-field div:not(:last-child) {
  margin-right: 1em;
}

@media screen and (max-width: 767px) {
  .navbar {
    flex-direction: column;
  }

  .navbar > div {
    display: flex;
    justify-content: center;
  }

  .navbar > div:not(:last-child) {
    margin-bottom: 1em;
  }

  .navbar > .searchbar > form {
    width: 60%;
  }
}

@media screen and (max-width: 320px) {
  .navbar > .searchbar > form {
    width: 100%;
    margin: 0 1em;
  }
}

/* 
 * Footer
 */

.footer {
  color: #666666;
  margin: 2em 0;
  text-align: center;
}

.footer_left {
  color: #666666;
  margin: 2em 0;
  text-align: left;
}

.footer a {
  color: inherit;
  text-decoration: underline;
}

/* keyframes */

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Control Bar */
.video-js .vjs-control-bar,
.vjs-menu-button-popup .vjs-menu .vjs-menu-content {
  background-color: rgba(35, 35, 35, 0.75);
}

.vjs-menu li.vjs-menu-item:focus,
.vjs-menu li.vjs-menu-item:hover {
  background-color: rgba(255, 255, 255, 0.75);
  color: rgba(49, 49, 51, 0.75);
}

.vjs-menu li.vjs-selected,
.vjs-menu li.vjs-selected:focus,
.vjs-menu li.vjs-selected:hover {
  background-color: rgba(0, 182, 240, 0.75);
}

/* Progress Bar */
.video-js .vjs-slider {
  background-color: rgba(15, 15, 15, 0.5);
}

.video-js .vjs-load-progress,
.video-js .vjs-load-progress div {
  background: rgba(87, 87, 88, 1);
}

.video-js .vjs-slider:hover,
.video-js button:hover {
  color: rgba(0, 182, 240, 1);
}

.video-js .vjs-play-progress {
  background-color: rgba(0, 182, 240, 1);
}

/* ProgressBar marker */
.vjs-marker {
  background-color: rgba(255, 255, 255, 1);
}

/* Big "Play" Button */
.video-js .vjs-big-play-button {
  background-color: rgba(35, 35, 35, 0.5);
}

.video-js:hover .vjs-big-play-button {
  background-color: rgba(35, 35, 35, 0.75);
}

.video-js .vjs-current-time,
.video-js .vjs-time-divider,
.video-js .vjs-duration {
  display: block;
}

.video-js .vjs-time-divider {
  min-width: 0px;
  padding-left: 0px;
  padding-right: 0px;
}

.video-js .vjs-poster {
  background-size: cover;
  object-fit: cover;
}

#player {
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
}

#player-container {
  position: relative;
  padding-bottom: 55.25%;
  margin-left: 2em;
  margin-right: 2em;
  height: 0;
}

#progress-container {
  width: 100%;
  border-radius: 2px;
  background-color: #a0a0a0;
  color: rgba(35, 35, 35, 1);
}

#download-progress {
  width: 0%;
  border-radius: 2px;
  height: 10px;
  background-color: rgba(0, 182, 240, 1);
  color: #fff;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

/*  "Sharing" Button */

ul.share-buttons{
  list-style: none;
  padding: 0;
}

ul.share-buttons li{
  display: inline;
}

ul.share-buttons .sr-only{
  position: absolute;
  clip: rect(1px 1px 1px 1px);
  clip: rect(1px, 1px, 1px, 1px);
  padding: 0;
  border: 0;
  height: 1px;
  width: 1px;
  overflow: hidden;
}

ul.share-buttons img{
  width: 32px;
}

.localization-menu {
  position: relative;
  top: 1px;
}

/* flash starts */

.flash-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.flash {
  padding: 10px 25px;
  margin: 0 auto;
  font-weight: bold;
  border-radius: 3px;
}

.flash.flash-error {
  background: hsl(0,100%,97%);

  color: red;
  border: 1px solid red;
}

.flash.flash-success {
  background: hsl(100,100%,97%);
  border: 1px solid hsl(100,100%,40%);
  color: hsl(100,70%,40%);
}

.flash.flash-success .flash-dismiss-button {
  color: hsl(100,100%,30%);
}

.flash.flash-success .flash-dismiss-button:hover {
  background: hsl(100,100%,90%);
}

.flash.flash-error .flash-dismiss-button {
  color: hsl(0,100%,50%);
}

.flash.flash-error .flash-dismiss-button:hover {
  background: hsl(0,100%,90%);
}

.flash-container {
  display: flex;
}

.flash {
  display: flex;
  position: relative;
}

.flash-dismiss-button {
  cursor: pointer;
  position: relative;
}

.flash-dismiss-button:hover {
  border-radius: 5px;
}

.flash-container {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.flash-inner-container {
  position: relative;
}

.flash-message {
  margin-right: 10px;
}

.flash-dismiss-button {
  cursor: pointer;
  position: absolute;
  right: 9px;
  top: 15px;
  z-index: 99;
}

.flash-dismiss-button:hover {
  color: hsl(100,70%,20%);
}

.flash-dismiss-button:checked {
  display: none;
}

.flash-dismiss-button:checked ~ div {
  display: none;
}

.pure-menu-heading.selected {
  font-weight: bold;
}


.pure-menu-item.selected {
  font-weight: bold;
}

.collapse{
  cursor: pointer;
  display: block;
/*  background: #cdf; */
}
.collapse + input{
  display: none; /* hide the checkboxes */
}
.collapse + input + div{
  display:none;
}
.collapse + input:checked + div{
  display:block;
}